Bug 33432 - Grid with row definition of 0 height changed to 50 will not draw BoxView as of 1.4.4
Summary: Grid with row definition of 0 height changed to 50 will not draw BoxView as o...
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: 1.5.0
Hardware: PC Mac OS
: Normal major
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2015-08-27 14:00 UTC by Shane
Modified: 2015-10-08 09:17 UTC (History)
6 users (show)

Tags: ac
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Shane 2015-08-27 14:00:13 UTC
If you make a Grid with a Row of 0 height, and change the height after it is drawn, the BoxView inside it will not be drawn.

This occurs on iOS.

Reproduction
https://github.com/shanempope/BoxViewGridRowIssue/blob/master/BoxViewGridIssue/BoxViewGridIssue/BoxViewGridIssue.cs

Works fine if the row is not 0 height at the start. Was introduced in 1.4.4. Does not occur in earlier builds.
Comment 1 Paul DiPietro [MSFT] 2015-08-28 13:44:31 UTC
Appears to be occurring as of 1.5.0. Behavior seems weird in Android, too. Setting the value to something like 20 makes a box appear in one location, and a subsequent click shows the box at a lower point.
Comment 2 Rui Marinho 2015-09-04 10:16:38 UTC
Should be fixed in 1.5.1-pre1
Comment 3 Parmendra Kumar 2015-10-08 09:17:43 UTC
I have checked this issue with xamarin.Forms 1.5.1-pre1 and its working fine.


Hence closing this issue.